<?php

namespace Drupal\xnttdm\Plugin\ExternalEntities\DataAggregator;

use Drupal\Core\Form\FormStateInterface;
use Drupal\external_entities\Plugin\ExternalEntities\DataAggregator\GroupAggregator;

/**
 * External entities model data aggregator.
 *
 * @DataAggregator(
 *   id = "model",
 *   label = @Translation("Model data aggregator"),
 *   description = @Translation("Add a layer on the group aggregator to manage storage groups as data input or output for data transfer or conversion.")
 * )
 */
class ModelDataAggregator extends GroupAggregator {

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {
    $form = parent::buildConfigurationForm($form, $form_state);
    $form['multi_info'] = [
      '#type' => 'item',
      '#markup' => $this->t(
        'Data aggregation by data model.'
      ),
    ];
    return $form;
  }

}
